<?php

/**
 * @version     1.0.0
 * @package     com_testimonial_pro
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Infyways Solutions <info@infyways.com> - http://www.infyways.com
 */
// No direct access
defined('_JEXEC') or die;

/**
 * Testimonial_pro helper.
 */
class Testimonial_proBackendHelper {

    /**
     * Configure the Linkbar.
     */
    public static function addSubmenu($vName = '') {
        		JHtmlSidebar::addEntry(
			JText::_('COM_TESTIMONIAL_PRO_TITLE_TESTIMONIALS'),
			'index.php?option=com_testimonial_pro&view=testimonials',
			$vName == 'testimonials'
		);
		JHtmlSidebar::addEntry(
			JText::_('JCATEGORIES') . ' (' . JText::_('COM_TESTIMONIAL_PRO_TITLE_TESTIMONIALS') . ')',
			"index.php?option=com_categories&extension=com_testimonial_pro",
			$vName == 'categories'
		);
		if ($vName=='categories') {
			JToolBarHelper::title('Responsive Testimonials Pro: JCATEGORIES (COM_TESTIMONIAL_PRO_TITLE_TESTIMONIALS)');
		}

    }

    /**
     * Gets a list of the actions that can be performed.
     *
     * @return	JObject
     * @since	1.6
     */
    public static function getActions() {
        $user = JFactory::getUser();
        $result = new JObject;

        $assetName = 'com_testimonial_pro';

        $actions = array(
            'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.own', 'core.edit.state', 'core.delete'
        );

        foreach ($actions as $action) {
            $result->set($action, $user->authorise($action, $assetName));
        }

        return $result;
    }


}
