<?php
/**
 * @version     1.0.0
 * @package     com_testimonial_pro
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Infyways Solutions <info@infyways.com> - http://www.infyways.com
 */
// no direct access
defined('_JEXEC') or die;
$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root().'components/com_testimonial_pro/css/style.css');
$document->addStyleSheet(JURI::root().'components/com_testimonial_pro/css/font-awesome.min.css');
$tt_font=$this->params->get('tt_font');
$font_style=$this->params->get('font_style');
$font_size=$this->params->get('font_size');
$width=$this->params->get('width');
$testimonial_color=$this->params->get('testimonial_color');
$bg_color=$this->params->get('bg_color');
$bubble_align=$this->params->get('bubble_align');
$image_layout=$this->params->get('image_layout');
$blank_image=$this->params->get('blank_image');
$bubble_layout=$this->params->get('bubble_layout');
$company_show=$this->params->get('company_show');
$position_show=$this->params->get('position_show');
$website_show=$this->params->get('website_show');
$rating_show=$this->params->get('rating_show');
$author_image_show=$this->params->get('author_image_show');
$date_show=$this->params->get('date_show');
$link_target=$this->params->get('link_target');
$cat_id=$this->params->get('cat_id');
$imgHeight=$this->params->get('imgHeight');
$imgWidth=$this->params->get('imgWidth');
$quotes=$this->params->get('quotes',1);
$snippetStatus=$this->params->get('snippetStatus',0);

$separator=$this->params->get('separator',"| ");
$minwidth=($imgWidth)."px";

if($tt_font!="temp"){
$document->addStyleSheet("http://fonts.googleapis.com/css?family=$tt_font");
$document->addStyleDeclaration("
.tp-showcase p{
font-family:$tt_font,sans-serif;
font-style: $font_style;
font-size:$font_size;
}
");
}
else{
$document->addStyleDeclaration("
.tp-showcase p{
font-style: $font_style;
font-size:$font_size;
}
");
}
if(($bubble_align=="right")||($bubble_align=="left"))
{
$bordercolor =  " border-color: transparent $bg_color";
}
else
{
$bordercolor =  "border-color: $bg_color transparent";
}
$document->addStyleDeclaration("
.tp-showcase{
 margin: 1.5%;
 width: $width;
 }
 .tp-showcase-testimonial-$bubble_align{
 background:$bg_color;
 color:$testimonial_color;
 }
 .tp-showcase-testimonial-$bubble_align:after{
 $bordercolor;
 }
 .tp-image-align{
 min-width:$minwidth;
 }
");
?>


<div class="items<?php echo $this->pageclass_sfx?>">
<?php if ($this->params->get('show_page_heading')) : ?>
	<h1>
	<?php echo $this->escape($this->params->get('page_heading')); ?>
	</h1>
<?php endif; ?>
    <div class="show-testimonials" <?php if($snippetStatus){ echo 'itemscope itemtype="http://schema.org/Product"';}?>>
    	<?php if($snippetStatus){ echo '<meta itemprop="name" content="product-reviews"/>';} ?>
	
<?php $show = false; ?>

        <?php $aggregateRating=0; foreach ($this->items as $item) : ?>
				<?php
					
						$show = true;
						?>
							<div class="tp-showcase" <?php if($snippetStatus){ echo 'itemprop="review" itemscope itemtype="http://schema.org/Review"';}?>>
							<?php if(($bubble_align=="top")||($bubble_align=="left")):?>
							<div class="tp-showcase-bubble-<?php echo $bubble_align;?>">
							<div class="tp-showcase-testimonial-<?php echo $bubble_align;?> <?php echo $bubble_layout;?>" <?php if($snippetStatus){ echo 'itemprop="reviewBody"';}?>>
								<p><?php if($quotes):?><i class="fa fa-quote-left quotes"></i> <?php endif; echo nl2br($item->testimonial);if($quotes):?> <i class="fa fa-quote-right quotes"></i><?php endif;  ?></p>
							</div>
							</div>
							<?php endif;?>
								
							<div class="tp-showcase-<?php echo $bubble_align;?>">
					
								<?php 
								if($author_image_show){
								if($item->author_image){
								echo "<div class=\"tp-image-align\"><img class=\"".$image_layout."\" src=\"".JURI::base()."components/com_testimonial_pro/assets/timthumb.php?src=".JURI::base( true )."/".$item->author_image."&h=".$imgHeight."&w=".$imgWidth."&z=1&q=100\"/></div>";
								}
								else{
								if($blank_image){
								echo "<div class=\"tp-image-align\"><img class=\"".$image_layout."\" src=\"".JURI::base()."components/com_testimonial_pro/assets/timthumb.php?src=".JURI::base( true )."/components/com_testimonial_pro/assets/no-image.png&h=".$imgHeight."&w=".$imgWidth."&z=1&q=100\"/></div>";
								}
								}
								}
								?>	
								<div class="tp-additional-info-<?php echo $bubble_align;?>">
								<div class="tp-info-name" <?php if($snippetStatus){ echo 'itemprop="author" itemscope itemtype="http://schema.org/Person"';}?>>
								<?php echo $item->name; ?>
								</div>
								
								<?php if($company_show):
								if($item->company):
								?>
								<div class="tp-info-company">
								<?php if($website_show):
								if($item->website):
								?>
								<a href="<?php echo $item->website; ?>" rel="nofollow" target="<?php echo $link_target;?>">
								<?php endif;?>
								<?php echo $item->company; ?>
								
								<?php if($position_show):
								if($item->position):
								?>
								<?php echo $separator.$item->position; ?>
								<?php endif; endif;
										endif; if($website_show):?>
								</a>
									 
								<?php 
										
										
									  endif;?>
								</div>
								<?php endif;
								      endif;?>
								
			
								
								<?php if($rating_show) :?>
								<div class="tp-ratings" <?php if($snippetStatus){ echo 'itemprop="reviewRating" itemscope itemtype="http://schema.org/Rating"';}?>>
								
								<?php if($snippetStatus){
                  				echo'<meta itemprop="worstRating" content = "1"/><meta itemprop="ratingValue" content = "'.$item->rating.'"/><meta itemprop="bestRating" content="5"/>';
                				} ?>
								<?php
              				  $aggregateRating = $aggregateRating + $item->rating;
              				  for($i=1;$i<=$item->rating;$i++) {?>
								<i class="fa fa-star"></i>
									
								<?php } ?>
								</div>
								<?php endif;?>
								<?php if($date_show) :?>
								<div class="tp-below-date">
								<?php echo JHtml::_('date', $item->created, 'j F Y'); ?>
								</div>
								<?php endif;?>
								
								</div>
								</div>
								
							<?php if(($bubble_align=="bottom")||($bubble_align=="right")):?>
							<div class="tp-showcase-bubble-<?php echo $bubble_align;?>">
							<div class="tp-showcase-testimonial-<?php echo $bubble_align;?> <?php echo $bubble_layout;?>" <?php if($snippetStatus){ echo 'itemprop="reviewBody"';}?>>
								<p><?php if($quotes):?><i class="fa fa-quote-left quotes"></i> <?php endif; echo nl2br($item->testimonial);if($quotes):?> <i class="fa fa-quote-right quotes"></i><?php endif;  ?></p>
							</div>
							</div>
							<?php endif;?>
							
							</div>
				

<?php endforeach; ?>
<div class="tp-pagination">
     <?php echo $this->pagination->getListFooter(); ?>
	 </div>


      <?php if($snippetStatus){

$aggregateRating = round($aggregateRating/(count($this->items)),1);
echo '<div itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">
    <meta itemprop="ratingValue" content="'.$aggregateRating.'">
    <meta itemprop="reviewCount" content="'.count($this->items).'">
  </div>';
} 
            ?>


    </div>		
</div>
   
   <?php if (!$show):?>
		<div class="testimonial-error">
		<?php echo JText::_('COM_TESTIMONIAL_PRO_NO_ITEMS');?>
		</div>
    <?php endif;?>
